hadoop new version - HDP-2.6.3.0 failed because unnecessary repo file

by shalom   Last Updated January 13, 2018 21:00 PM

we are trying to install the new hadoop version HDP version as scratch installation on our redhat machines ( redhat 7.3 version)

HDP-2.6.3.0-centos7-rpm.tar.gz
ambari-2.6.0.0-centos7.tar.gz

before installing the new HDP version , our current hDP repository is ( under /etc/yum.repo.d )

so regarding that we have already exising HDP reposoitory , we asume that hadoop installation will use this repo for installation

example of out HDP repo ( master02 is the ambari server machine )

more HDP.repo
[HDP-2.6]
name=HDP-2.6
baseurl=http://master02.sys56.com/HDP/centos7/2.6.3.0-235

path=/
enabled=1
gpgcheck=0

but during HDP-2.6.3.0 installation ( blueprint installation ) , we saw very strange thing.....

in spite we already have HDP repository

blueprint installation push another repo file: ( under /etc/yum.rep.d )

as the following:

more ambari-hdp-1.repo ( this repo not created on the previos version )

[HDP-2.6-repo-1]
name=HDP-2.6-repo-1
baseurl=http://public-repo-1.hortonworks.com/HDP/centos7/2.x/updates/2.6.0.3


path=/
enabled=1
gpgcheck=0
[HDP-UTILS-1.1.0.21-repo-1]
name=HDP-UTILS-1.1.0.21-repo-1
baseurl=http://public-repo-1.hortonworks.com/HDP-UTILS-1.1.0.21/repos/centos7


path=/
enabled=1
gpgcheck=0

the question is why ?

I ask this because this new repo corrupted the blueprint installation



Related Questions




Orange Pi PC Cluster vs Servers

Updated September 02, 2017 18:00 PM